is_sorted_until.hpp File Reference

## Functions

template<typename I , typename S , typename R = less, typename P = identity>
auto | ranges::is_sorted_until (I first, S last, R pred=R{}, P proj=P{}) -> I requires forward_iterator< I > &&sentinel_for< S, I > &&indirect_strict_weak_order< R, projected< I, P >>
| template function `is_sorted_until` More...
template<typename Rng , typename R = less, typename P = identity>
auto | ranges::is_sorted_until (Rng &&rng, R pred=R{}, P proj=P{}) -> safe_iterator_t< Rng > requires forward_range< Rng > &&indirect_strict_weak_order< R, projected< iterator_t< Rng >, P >>